package com.yahoo.shopping;

import com.yahoo.prelude.Hit;

/**
 * NraHit encapsulates a Hit along with its lower and upper bound. The objects are used for sorting the hits in the merge algorithm in XSearcher. 
 * @author Anne Siri Korsen & Trond ivind Eriksen.
 *
 */
public class NraHit {

	private int lowerBound;
	private int upperBound;
	private Hit hit;
	
	public NraHit(int lowerBound, int upperBound, Hit hit) {
		this.lowerBound = lowerBound;
		this.upperBound = upperBound;
		this.hit = hit;	
	}
	
	public int getLowerBound() {
		return lowerBound;
	}
	
	public int getUpperBound(){
		return upperBound;
	}
	
	public Hit getHit() {
		return hit;
	}
}
